org.eclipse.mat.ui.internal.acquire

## Class AcquireDialog

- java.lang.Object
- - WizardPage
  - - org.eclipse.mat.ui.internal.acquire.AcquireDialog

    public class AcquireDialog
    extends WizardPage

### Constructor Summary

Constructors
Constructor and Description
`AcquireDialog(Collection<HeapDumpProviderDescriptor> dumpProviders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`VmInfo` `getProcess()`
`AnnotatedObjectArgumentsSet` `getProcessArgumentsSet()`
`String` `getSelectedPath()`
`boolean` `isPageComplete()`
`void` `saveSettings()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AcquireDialog

    public AcquireDialog(Collection<HeapDumpProviderDescriptor> dumpProviders)

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### isPageComplete

    public boolean isPageComplete()

#### getProcessArgumentsSet

    public AnnotatedObjectArgumentsSet getProcessArgumentsSet()

#### getProcess

    public VmInfo getProcess()

#### getSelectedPath

    public String getSelectedPath()

#### saveSettings

    public void saveSettings()